framework:
    messenger:
        transports:
            # 1. On définit le nom du transport
            async: 
                # 2. On définit son DSN (en retrait)
                dsn: '%env(MESSENGER_TRANSPORT_DSN)%'
                
                # 3. On définit sa stratégie de retry (au même niveau que dsn)
                retry_strategy:
                    max_retries: 0

        routing:
            # Tout message de ce type sera envoyé vers le transport 'async'
            'App\Entity\UserDownloader': async